SIElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service
Interface SIElement

All Superinterfaces:
  SIRetrievable

All Known Subinterfaces:
  Network, ProgramAssociationTable, ProgramEvent, ProgramMapTable, ServiceComponent, ServiceDetails, Table, TransportStream

    public interface SIElement

extends SIRetrievable

The base interface of elements provided by the SI database. `SIElement` objects represent immutable copies of the service information data contained in the SI database. If the information represented by an `SIElement` E changes in the database, E will not be changed. The value of the `SIElement`'s locator (obtained by the `getLocator()` method) will remain unchanged in this case; the locator may be used to retrieve a copy of the SI element with the new data. Two `SIElement` objects retrieved from the SI database using the same input `Locator` at different times will report `Locator` objects that are equal according to `Locator.equal()`. However, the `SIElement` objects themselves will not be `equal()` if the corresponding data changed in the SI database between the times of their respective retrievals.

See Also:
  `getLocator()`, `SIManager.retrieveSIElement(javax.tv.locator.Locator, javax.tv.service.SIRequestor)`

Method Summary
`boolean` | `equals(Object obj)` Tests two `SIElement` objects for equality.
`Locator` | `getLocator()` Reports the `Locator` of this `SIElement`.
`ServiceInformationType` | `getServiceInformationType()` Reports the SI format in which this `SIElement` was delivered.
`int` | `hashCode()` Reports the hash code value of this `SIElement`.

Methods inherited from interface javax.tv.service.SIRetrievable
`getUpdateTime`

Method Detail

### getLocator

    Locator getLocator()

  Reports the `Locator` of this `SIElement`.

  Returns:
    Locator The locator referencing this `SIElement`

### equals

    boolean equals(Object obj)

  Tests two `SIElement` objects for equality. Returns `true` if and only if:
  - `obj`'s class is the same as the class of this `SIElement`, and

  - `obj`'s `Locator` is equal to the `Locator` of this object (as reported by `SIElement.getLocator()`, and

  - `obj` and this object encapsulate identical data.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - The object against which to test for equality.
  Returns:
    `true` if the two `SIElement` objects are equal; `false` otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### hashCode

    int hashCode()

  Reports the hash code value of this `SIElement`. Two `SIElement` objects that are equal will have identical hash codes.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    The hash code value of this `SIElement`.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### getServiceInformationType

    ServiceInformationType getServiceInformationType()

  Reports the SI format in which this `SIElement` was delivered.

  Returns:
    The SI format in which this SI element was delivered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD